<?php

/**
 * xFile PHP Class Example Usage
 * 
 * This script demonstrates how to use the xFile class for file operations,
 * such as storing files on Google Drive and retrieving file information.
 * 
 * Prerequisites:
 * 1. You need to have an API key from the service provider to use the xFile class.
 * 2. Ensure you have obtained the Google Drive file ID where you want to store files.
 * 
 * Usage:
 * 1. Replace "YOUR_API_KEY" with your actual API key obtained from the service provider.
 * 2. Replace "YOUR_GOOGLE_DRIVE_FILE_ID" with the ID of the Google Drive file where you want to store files.
 */

// Include the xFile class file
include_once('./xfile.class.php');

// Your API key obtained from the service provider
$apiKey = "YOUR_API_KEY";

// Google Drive file ID where you want to store files
$googleDriveFileID = "YOUR_GOOGLE_DRIVE_FILE_ID";

// Create a new instance of the xFile class with your API key
$xFile = new xFile($apiKey);

// Example: Upload a file to Google Drive
$fileInfo = $xFile->Store($googleDriveFileID);
echo "File uploaded successfully. File info: \n";
var_dump($fileInfo);

// Example: Retrieve file information from Google Drive
$fileID = "ENTER_YOUR_FILE_ID";

$fileInfo = $xFile->Info($fileID);
echo "File information retrieved successfully. File info: \n";
var_dump($fileInfo);
